"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoinMarketCapApi = void 0;
const cex_repository_1 = require("../repositories/cex.repository");
const community_repository_1 = require("../repositories/community.repository");
const crypto_repository_1 = require("../repositories/crypto.repository");
const dex_repository_1 = require("../repositories/dex.repository");
const metric_repository_1 = require("../repositories/metric.repository");
const misc_repository_1 = require("../repositories/misc.repository");
const client_1 = require("./client");
class CoinMarketCapApi {
    constructor(apikey) {
        this.client = new client_1.Client();
        this.crypto = new crypto_repository_1.CryptoRepository(this);
        this.dex = new dex_repository_1.DexRepository(this);
        this.cex = new cex_repository_1.CexRepository(this);
        this.metric = new metric_repository_1.MetricRepository(this);
        this.community = new community_repository_1.CommunityRepository(this);
        this.misc = new misc_repository_1.MiscRepository(this);
        if (apikey)
            this.client.setApiKey(apikey);
    }
    sandbox() {
        this.client = this.client.sandbox();
        return this;
    }
    static sandbox() {
        const instance = new CoinMarketCapApi();
        instance.client = instance.client.sandbox();
        return instance;
    }
}
exports.CoinMarketCapApi = CoinMarketCapApi;
//# sourceMappingURL=api.js.map