import type { Pair } from "../types/common.type";
import type { CmcStatusResponse } from "../responses/status.response";
export declare class Client {
    private baseURL;
    protected apikey: string;
    status: CmcStatusResponse;
    private static readonly SandboxApikey;
    private static readonly BaseURL;
    constructor();
    req<TData = unknown, TQuery = Pair<string, string | string[] | number | number[] | boolean>>(endpoint: string, query?: TQuery, headers?: Pair<string, string>): Promise<TData>;
    setApiKey(apiKey: string): Client;
    setBaseUrl(baseUrl: string): Client;
    commaSeparate<TValue = string>(array: TValue | TValue[]): string;
    sandbox(): Client;
    private genUri;
    private genHeaders;
    private error;
}
