"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = {
    map: "/v1/cryptocurrency/map",
    metadata: "/v2/cryptocurrency/info",
    listings: "/v1/cryptocurrency/listings/latest",
    listingsNew: "/v1/cryptocurrency/listings/new",
    listingsHistorical: "/v1/cryptocurrency/listings/historical",
    quotes: "/v2/cryptocurrency/quotes/latest",
    quotesHistorical: "/v2/cryptocurrency/quotes/historical",
    quotesHistoricalV3: "/v3/cryptocurrency/quotes/historical",
    marketPairs: "/v2/cryptocurrency/market-pairs/latest",
    ohlcv: "/v2/cryptocurrency/ohlcv/latest",
    ohlcvHistorical: "/v2/cryptocurrency/ohlcv/historical",
    performance: "/v2/cryptocurrency/price-performance-stats/latest",
    categories: "/v1/cryptocurrency/categories",
    category: "/v1/cryptocurrency/category",
    airdrops: "/v1/cryptocurrency/airdrops",
    airdrop: "/v1/cryptocurrency/airdrop",
    trending: "/v1/cryptocurrency/trending/latest",
    mostVisited: "/v1/cryptocurrency/trending/most-visited",
    gainersLosers: "/v1/cryptocurrency/trending/gainers-losers",
};
const dex = {
    listings: "/v4/dex/listings/quotes",
    metadata: "/v4/dex/listings/info",
    networks: "/v4/dex/networks/list",
    pairs: "/v4/dex/spot-pairs/latest",
    quotes: "/v4/dex/pairs/quotes/latest",
    ohlcv: "/v4/dex/pairs/ohlcv/latest",
    ohlcvHistorical: "/v4/dex/pairs/ohlcv/historical",
    trades: "/v4/dex/pairs/trade/latest",
};
const cex = {
    map: "/v1/exchange/map",
    metadata: "/v1/exchange/info",
    listings: "/v1/exchange/listings/latest",
    quotes: "/v1/exchange/quotes/latest",
    quotesHistorical: "/v1/exchange/quotes/historical",
    pairs: "/v1/exchange/market-pairs/latest",
    assets: "/v1/exchange/assets",
};
const metric = {
    quotes: "/v1/global-metrics/quotes/latest",
    quotesHistorical: "/v1/global-metrics/quotes/historical",
    index: "/v3/index/cmc100-latest",
    indexHistorical: "/v3/index/cmc100-historical",
    fearAndGreed: "/v3/fear-and-greed/latest",
    fearAndGreedHistorical: "/v3/fear-and-greed/historical",
};
const community = {
    news: "/v1/content/latest",
    top: "/v1/content/posts/top",
    latest: "/v1/content/posts/latest",
    comments: "/v1/content/posts/comments",
    trendingTopic: "/v1/community/trending/topic",
    trendingToken: "/v1/community/trending/token",
};
const misc = {
    fiat: "/v1/fiat/map",
    priceConversion: "/v2/tools/price-conversion",
};
const endpoints = { crypto, dex, cex, metric, community, misc };
exports.default = endpoints;
//# sourceMappingURL=endpoints.js.map