export type CryptoConvert = number | string | number[] | string[];
export type ListSort = "cmc_rank" | "id";
export type ListingStatus = "active" | "inactive" | "untracked" | ("active" | "inactive" | "untracked")[];
export type AuxiliaryList = "platform" | "first_historical_data" | "last_historical_data" | "is_active" | "status" | ("platform" | "first_historical_data" | "last_historical_data" | "is_active" | "status")[];
export type CryptoId = {
    id: CryptoIDs;
    slug?: never;
    symbol?: never;
    contract?: never;
} | {
    id?: never;
    slug: CryptoSlugs;
    symbol?: never;
    contract?: never;
} | {
    id?: never;
    slug?: never;
    symbol: CryptoSymbols;
    contract?: never;
} | {
    id?: never;
    slug?: never;
    symbol?: never;
    contract: string;
};
export type CryptoIdOnly = {
    id: CryptoIDs;
    slug?: never;
    symbol?: never;
} | {
    id?: never;
    slug: CryptoSlugs;
    symbol?: never;
} | {
    id?: never;
    slug?: never;
    symbol: CryptoSymbols;
};
export type CryptoIdSingleOnly = {
    id: number;
    slug?: never;
    symbol?: never;
} | {
    id?: never;
    slug: string;
    symbol?: never;
} | {
    id?: never;
    slug?: never;
    symbol: string;
};
export type CryptoIdSymbolOnly = {
    id: CryptoIDs;
    symbol?: never;
} | {
    id?: never;
    symbol: CryptoSymbols;
};
export type CryptoIDs = number | number[];
export type CryptoSlugs = string | string[];
export type CryptoSymbols = string | string[];
export type AuxiliaryMetadata = "urls" | "logo" | "description" | "tags" | "platform" | "date_added" | "notice" | "status" | ("urls" | "logo" | "description" | "tags" | "platform" | "date_added" | "notice" | "status")[];
export type ListingCryptoType = "all" | "coins" | "tokens";
export type ListingTag = "all" | "defi" | "filesharing";
export type ListingSortDir = "asc" | "desc";
export type ListingSort = "name" | "symbol" | "date_added" | "market_cap" | "market_cap_strict" | "price" | "circulating_supply" | "total_supply" | "max_supply" | "num_market_pairs" | "volume_24h" | "percent_change_1h" | "percent_change_24h" | "percent_change_7d" | "market_cap_by_total_supply_strict" | "volume_7d" | "volume_30d";
export type AuxiliaryListing = "num_market_pairs" | "cmc_rank" | "date_added" | "tags" | "platform" | "max_supply" | "circulating_supply" | "total_supply" | "market_cap_by_total_supply" | "volume_24h_reported" | "volume_7d" | "volume_7d_reported" | "volume_30d" | "volume_30d_reported" | "is_market_cap_included_in_calc" | ("num_market_pairs" | "cmc_rank" | "date_added" | "tags" | "platform" | "max_supply" | "circulating_supply" | "total_supply" | "market_cap_by_total_supply" | "volume_24h_reported" | "volume_7d" | "volume_7d_reported" | "volume_30d" | "volume_30d_reported" | "is_market_cap_included_in_calc")[];
export interface ListingFilter {
    priceMin?: number;
    priceMax?: number;
    marketCapMin?: number;
    marketCapMax?: number;
    volume24hMin?: number;
    volume24hMax?: number;
    circulatingSupplyMin?: number;
    circulatingsupplyMax?: number;
    percentChange24hMin?: number;
    percentChange24hMax?: number;
}
export type ListingHistorySort = "cmc_rank" | "name" | "symbol" | "market_cap" | "price" | "circulating_supply" | "total_supply" | "max_supply" | "num_market_pairs" | "volume_24h" | "percent_change_1h" | "percent_change_24h" | "percent_change_7d";
export type AuxiliaryListingHistory = "platform" | "tags" | "date_added" | "circulating_supply" | "total_supply" | "max_supply" | "cmc_rank" | "num_market_pairs" | ("platform" | "tags" | "date_added" | "circulating_supply" | "total_supply" | "max_supply" | "cmc_rank" | "num_market_pairs")[];
export type AuxiliaryQuotesLatest = "num_market_pairs" | "cmc_rank" | "date_added" | "tags" | "platform" | "max_supply" | "circulating_supply" | "total_supply" | "market_cap_by_total_supply" | "volume_24h_reported" | "volume_7d" | "volume_7d_reported" | "volume_30d" | "volume_30d_reported" | "is_active" | "is_fiat" | ("num_market_pairs" | "cmc_rank" | "date_added" | "tags" | "platform" | "max_supply" | "circulating_supply" | "total_supply" | "market_cap_by_total_supply" | "volume_24h_reported" | "volume_7d" | "volume_7d_reported" | "volume_30d" | "volume_30d_reported" | "is_active" | "is_fiat")[];
export type AuxiliaryQuotesHistorical = "price" | "volume" | "market_cap" | "circulating_supply" | "total_supply" | "quote_timestamp" | "is_active" | "is_fiat" | "search_interval" | ("price" | "volume" | "market_cap" | "circulating_supply" | "total_supply" | "quote_timestamp" | "is_active" | "is_fiat" | "search_interval")[];
export type MarketPairCategory = "all" | "spot" | "derivatives" | "otc" | "perpetual";
export type MarketPairFeeType = "all" | "percentage" | "no-fees" | "transactional-mining" | "unknown";
export type MarketPairSort = "volume_24h_strict" | "cmc_rank" | "cmc_rank_advanced" | "effective_liquidity" | "market_score" | "market_reputation";
export type AuxiliaryMarketPair = "num_market_pairs" | "category" | "fee_type" | "market_url" | "currency_name" | "currency_slug" | "price_quote" | "notice" | "cmc_rank" | "effective_liquidity" | "market_score" | "market_reputation" | ("num_market_pairs" | "category" | "fee_type" | "market_url" | "currency_name" | "currency_slug" | "price_quote" | "notice" | "cmc_rank" | "effective_liquidity" | "market_score" | "market_reputation")[];
export type Matched = {
    id: CryptoIDs;
    symbol?: never;
} | {
    id?: never;
    symbol: CryptoSymbols;
};
export type PerformanceStatsTimePeriodOnly = "all_time" | "yesterday" | "24h" | "7d" | "30d" | "90d" | "365d";
export type PerformanceStatsTimePeriod = PerformanceStatsTimePeriodOnly | ("all_time" | "yesterday" | "24h" | "7d" | "30d" | "90d" | "365d")[];
